Bug 826488 - Require system with at least 65 535 MB RAM but get system with 33792 MB RAM
Require system with at least 65 535 MB RAM but get system with 33792 MB RAM
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Nick Coghlan
MC
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 06:34 EDT by Ľuboš Kardoš
Modified: 2016-08-08 01:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ľuboš Kardoš 2012-05-30 06:34:27 EDT
Description of problem:
For my test I require a system with at least 65 535 MB RAM. For this I use following xml:
...
<hostRequires>
    <and>
        <key_value key="MEMORY" op="&gt;" value="65535"/>
    </and>
    <system_type value="Machine"/>
</hostRequires>
...
But the system at which is the test executed has only 33792 MB.

Steps to Reproduce:
1. Create a job that requires a system with at least 65 535 MB RAM. Use mentioned xml or clone my recipe: https://beaker.engineering.redhat.com/recipes/510124#task6010064
  
Actual results:
The test is exectued at a system that does not follow requirements.

Expected results:
The test should be executed at a system that follows requirements.

Additional info:
Recipes in which systems does not follows requirements:
https://beaker.engineering.redhat.com/recipes/510124#task6010064
https://beaker.engineering.redhat.com/recipes/510129#task6010076
https://beaker.engineering.redhat.com/recipes/510133#task6010084
Comment 1 Bill Peck 2012-05-30 09:00:24 EDT
key_value for memory is left over from legacy rhts..  Can you try the following xml instead?

<memory op="&gt;" value="65535"/>
Comment 2 Nick Coghlan 2012-10-17 00:36:12 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Nick Coghlan 2012-11-07 01:19:39 EST
As Bill noted, this kind of oddity is part of why the MEMORY key value entry has been replaced with the memory element in the XML format. However, the old mechanism will remain in place for backwards compatibility (despite its issues).

Note You need to log in before you can comment on or make changes to this bug.